"use strict";

this.name        = "Undocumented Launch";
this.version     = "1.0";

/* ====================================================================================
			LAUNCH PLAYER SHIP
======================================================================================= */

this.playerBoughtEquipment = function(equipment)
	{
	if (equipment === "EQ_UNDOCUMENTED_LAUNCH")
		{
		player.ship.removeEquipment("EQ_UNDOCUMENTED_LAUNCH");
		if (player.ship.fuel < 7.0)
			{
			player.credits += 30;
			player.commsMessage("Complete re-fuelling and be ready to launch immediately!");
			}
		else
			{
			this.$bountyBackup = (player.bounty + 2);
			player.ship.launch();
			}
		}
	}

this.shipLaunchedFromStation = function()
	{
	if (this.$bountyBackup)
		{
		player.bounty = this.$bountyBackup;
		player.commsMessage("You may be fined up to 100cr for launching without filing a manifest.",6);
		delete this.$bountyBackup;
		}
	}

/* ====================================================================================
			THE END
======================================================================================= */
